import curses
from .mapdisplay import MapDisplay
from .texturepack import TexturePack


class Display:
    def __init__(self, game, screen):
        self.screen = screen
        self.game = game
        lines = curses.LINES if screen else 4
        cols = curses.COLS * 4 // 5 if screen else 4
        self.map_display = MapDisplay(game.m,
                                      TexturePack.get_pack(
                                         game.settings.TEXTURE_PACK),
                                      lines, cols, screen is not None)

    def refresh(self):
        self.map_display.update_pad()

    def display(self, y, x):
        self.map_display.display(y, x)
